{ config, lib, pkgs, modulesPath, ... }:

{

  boot = {
    initrd.luks.devices = {
      root = {
        device = "/dev/disk/by-uuid/33365b82-66af-4694-8f53-ca988035bb38";
        preLVM = true;
      };
      data = {
        device = "/dev/disk/by-uuid/e24d79c5-c24f-4e07-ab7e-a9c17cb21085";
        preLVM = true;
      };
      speed = {
        device = "/dev/disk/by-uuid/47106e9a-99fe-4c6d-a61d-8a25e7b53fc5";
        preLVM = true;
      };
    };
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/af8ae319-17ec-4631-b7aa-5cf4c9f9330c";
      fsType = "ext4";
    };

    "/boot" = {
      device = "/dev/disk/by-uuid/1918-A8CD";
      fsType = "vfat";
    };

    "/data/size" = {
      device = "/dev/disk/by-uuid/d927d682-57ec-4b9b-b2ce-e77772e37bbc";
      fsType = "ext4";
    };

    "/data/speed" = {
      device = "/dev/disk/by-uuid/eb1827e3-de96-4e79-816f-82ec9d84e45e";
      fsType = "ext4";
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/ff5cfba4-7c9d-41af-ba91-97d8022b79f7"; }
  ];
}
