{ pkgs, ...}: 
let cs = import ../../lib/colours.nix;
in {
  programs.rofi = {
    enable = true;
    cycle = true;
    font = "tewi 8";
    lines = 10;
    padding = 5;
    rowHeight = 1;
    scrollbar = false;
    separator = "solid";
    terminal = "${pkgs.zsh}/bin/zsh";
    width = 300;
    borderWidth = 5;
    colors = {
      window = {
        border = cs.fg;
        separator = cs.red;
        background = cs.bg;
      };
      rows = {
        active = {
          background = cs.fg;
          backgroundAlt = cs.fg;
          foreground = cs.bg;
          highlight = {
            background = cs.red;
            foreground = cs.redBold;
          };
        };
        urgent = {
          background = cs.red;
          backgroundAlt = cs.redBold;
          foreground = cs.magenta;
          highlight = {
            background = cs.greenBold;
            foreground = cs.yellow;
          };
        };
        normal = {
          background = cs.bg;
          backgroundAlt = cs.bg;
          foreground = cs.fg;
          highlight = {
            background = cs.cyanBold;
            foreground = cs.greenBold;
          };
        };
      };
    };
  };
}
