{ lib, pkgs, ... }: {

  #################################
  # user level home configuration #
  #################################

  # this file *should* contain:
  #  * a list of programs i want
  #  * definitions of any files i need in a certain place
  #  * user specific program configuration
  #
  # this file should *not* contain:
  #  * default program configuration that is not user specific

  imports = [
    ../../modules/bspwm/home.nix
    ../../modules/urxvt/home.nix
    ../../modules/picom/home.nix
    ../../modules/zsh/home.nix
    ../../modules/emacs/home.nix

    ./fonts/home.nix
    ./xresources.nix
  ];

  home = {

    # keyboard layout, v v important
    keyboard.layout = "dvorak";

    # packages that are needed
    packages = with pkgs; [
      # system stuff
      agenix
      htop gotop
      neofetch scrot
      git
      zip p7zip
      tmux

      # essential things
      cowsay fortune

      # editors
      ta.vim
      libreoffice

      # web stuff
      elinks qutebrowser
      deluge
      profanity weechat
      youtube-dl

      # media
      aseprite
      calibre
      zathura
      mpv
      ncmpcpp
      texlive.combined.scheme-full

      # prog
      rgbds sameboy
      racket
      stack ghc
      idris idris2
      cargo rustc gcc

      # games
      nethack crawl crawlTiles
      sgtpuzzles
      wesnoth openxcom
      manaplus
      minetest
      rftg
      superTux superTuxKart
      openttd
      freeciv unciv
      opentyrian
      freedink freedroidrpg
      freeorion
      openarena
      wine

    ];

  };

}
